Bug 440010 - Review Request: gdevilspie - A user friendly interface to the devilspie window matching daemon
Review Request: gdevilspie - A user friendly interface to the devilspie windo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 07:17 EDT by Sindre Pedersen Bjørdal
Modified: 2008-04-06 15:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-06 15:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2008-04-01 07:17:12 EDT
Spec URL: http://sindrepb.fedorapeople.org/packages/gdevilspie.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/gdevilspie-0.31-1.fc9.src.rpm

Description: 

gdevilspie is a user friendly interface to the devilspie window matching
daemon which allows you to create window management rules easily.
Comment 1 Jason Tibbitts 2008-04-03 23:31:36 EDT
Builds fine and rpmlint is silent.

The license is a bit confusing.  The upstream web site says GPLv2, as does
setup.py, but the COPYING file is v3 and the dgevilspie file says v3+.  I guess
saying v3+ is as good a choice as any, but this should be clarified with the
upstream developer. 

One thing I saw when testing was that a dialog with the following text was
displayed at each program start:

Make sure that Python-Wnck is correctly installed for 'filler' module to run
properly.

Perhaps an additional dependency is in order?  I don't think this is a blocker
but it would probably be good to fix it if possible.
 
* source files match upstream:
   1e677b41a6f3f256f759a48f92c613e68dafc3c5a2586230c61591481faf76b2  
   gdevilspie-0.31.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license (I think).
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   gdevilspie = 0.31-1.fc9
  =
   /usr/bin/python
   devilspie
   python(abi) = 2.5
* %check is not present; no test suite upstream.  I tested that the software 
   would run but I could not test functionality as I do not run 
   metacity/devilspie.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Sindre Pedersen Bjørdal 2008-04-04 06:53:54 EDT
New Package CVS Request
=======================
Package Name: gdevilspie
Short Description: A user friendly interface to the devilspie window matching daemon
Owners: sindrepb 
Branches: F-8,F-9
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-04-04 12:05:50 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.